Package org.drinkless.tdlib

# Class TdApi.FixedText

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.FixedText

Enclosing class:
  `TdApi`

public static class TdApi.FixedText extends TdApi.Object
A text fixed using fixTextWithAi.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.DiffText`
  `diffText`
  Changes made to the original text.
  `TdApi.FormattedText`
  `text`
  The resulting text.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixedText()`
  A text fixed using fixTextWithAi.
  `FixedText(TdApi.FormattedText text, TdApi.DiffText diffText)`
  A text fixed using fixTextWithAi.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public TdApi.FormattedText text
    The resulting text.

  - ### diffText

    public TdApi.DiffText diffText
    Changes made to the original text.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FixedText

    public FixedText()
    A text fixed using fixTextWithAi.

  - ### FixedText

    public FixedText(TdApi.FormattedText text, TdApi.DiffText diffText)
    A text fixed using fixTextWithAi.
    Parameters:
      `text` - The resulting text.
      `diffText` - Changes made to the original text.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR